<?php
session_start();
ini_set('max_execution_time', 0); // 0 = Ilimitado

require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$fecha_desde=$_GET['fecha_desde'];
$hora_desde=$_GET['hora_desde'];
$fecha_hasta=$_GET['fecha_hasta'];
$hora_hasta=$_GET['hora_hasta'];
$cliente=$_GET['cliente'];
$sucursal_form=$_GET['sucursal_form'];


$query_str="SELECT * FROM ventas where TIMESTAMP(ven_fecha,ven_hora) BETWEEN TIMESTAMP('$fecha_desde','$hora_desde') AND TIMESTAMP('$fecha_hasta', '$hora_hasta') and sucursal='$sucursal_form' and empresa='$empresa' and ven_estado<>'anulada'";

if ($facturador=='si') {
    $ven_tipo=implode("','", $_GET["ven_tipo8"]);
    $query_str.= " AND ven_tipo IN ('$ven_tipo')";
}

if ($cliente<>'0') {
    $query_str.=" AND Cliente_clie_id='$cliente'";
}

$query_str.=" ORDER BY ven_id asc";
$query=mysqli_query($con, $query_str);

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS POR IMPUESTO DESDE '.$fecha_desde. ' HASTA ' .$fecha_hasta,0,1);

$sqli=mysqli_query($con, "SELECT * from iva where empresa='$empresa'");
while ($rowi=mysqli_fetch_array($sqli))
{ 
    $iva_porcentaje=$rowi['iva_porcentaje'];
    $iva_nombre=$rowi['iva_nombre'];

    $query_str="SELECT * FROM ventas where TIMESTAMP(ven_fecha,ven_hora) BETWEEN TIMESTAMP('$fecha_desde','$hora_desde') AND TIMESTAMP('$fecha_hasta', '$hora_hasta') and sucursal='$sucursal_form' and empresa='$empresa' and ven_estado<>'anulada'";

    if ($facturador=='si') {
        $ven_tipo=implode("','", $_GET["ven_tipo8"]);
        $query_str.= " AND ven_tipo IN ('$ven_tipo')";
    }

    if ($cliente<>'0') {
        $query_str.=" AND Cliente_clie_id='$cliente'";
    }

    $query_str.=" ORDER BY ven_id asc";
    $query=mysqli_query($con, $query_str);


    $pdf->SetFont('Arial','',10);
    $pdf->Cell(0,10,'IMPUESTO '.$iva_nombre. ' ('. $iva_porcentaje.')',0,1);
    $pdf->SetFont('Arial','B',8);

    $pdf->SetFillColor(215,235,245);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(25,4,'FACTURA',1,0,'C',1);
    $pdf->Cell(105,4,'CLIENTE',1,0,'C',1);
    $pdf->Cell(20,4,'BASE' ,1,0,'C',1);
    $pdf->Cell(20,4,'IMPUESTO',1,0,'C',1);
    $pdf->Cell(20,4,'TOTAL',1,0,'C',1);
    $pdf->Ln();


    $global_subtotal=0;
    $global_descuento=0;
    $global_iva=0;
    $gloval_total=0;
    while ($roww=mysqli_fetch_array($query))    
    {    
        $ven_id=$roww['ven_id'];
        $ven_nombre=$roww['ven_nombre'];
        $ven_n_venta=$roww['ven_n_venta'];
        $ven_prefijo=$roww['ven_prefijo'];

        $ret=mysqli_query($con, "SELECT * FROM retencion_venta where ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
        $rets=mysqli_fetch_array($ret);
        if(isset($rets['porcentaje']))
        {
            $ret_porcentaje=$rets['porcentaje'];
        }
        else
        {
            $ret_porcentaje=0;
        }

        $subtotal_art=0;
        $descuento=0;
        $iva=0;
        $sumador_articulos=0;

        $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id' and vend_iva='$iva_porcentaje'");
        while ($row=mysqli_fetch_array($sql))
        {
            $vend_referencia=$row['vend_referencia'];
            $vend_nombre=$row['vend_nombre'];
            $vend_cantidad=$row['vend_cantidad'];
            $vend_precio=$row['vend_precio'];
            $vend_precio_real=$row['vend_precio_real'];
            if ($row['vend_iva']>0){ $vend_iva=$row['vend_iva']; } else { $vend_iva='0';}
            if ($row['vend_desc']>0){ $vend_descuento=$row['vend_desc']; } else { $vend_descuento='0';}

            $iva0=$vend_iva/100; //0.19
            $iva1=1+$iva0; //1.19

            $precio_total_sin_iva_item=($vend_precio/$iva1)*$vend_cantidad; //precio sin iva item 840.336
            $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
            $precio_real_item=$precio_total_sin_iva_item-$descuento_item; //precio real 4.202
            $total_iva_item=$precio_real_item*$iva0; // total iva item  159.336

            $subtotal_art+=$precio_total_sin_iva_item;
            $descuento+=$descuento_item;
            $iva+=$total_iva_item;
            $sumador_articulos=($subtotal_art+$iva)-$descuento;
        }

        $subtotal_combo=0;
        $descuento_combo=0;
        $iva_combo=0;
        $sumador_combos=0;
        $sql=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id' and combo_iva='$iva_porcentaje'");
        while ($row1=mysqli_fetch_array($sql))
        {
            $combo_referencia=$row1["combo_referencia"];
            $combo_nombre=$row1['combo_nombre'];       
            $combo_cantidad=$row1["combo_cantidad"];
            $combo_precio=$row1['combo_precio'];
            if ($row1['combo_iva']>0){ $combo_iva=$row1['combo_iva']; } else { $combo_iva='0';}
            if ($row1['combo_desc']>0){ $combo_desc=$row1['combo_desc']; } else { $combo_desc='0';}
            $iva_c0=$combo_iva/100; //0.19
            $iva_c1=1+$iva_c0; //1.19


            $precio_total_sin_iva_item_com=($combo_precio/$iva_c1)*$combo_cantidad; //precio sin iva  840.336
            $descuento_item_com=($combo_desc/100)*$precio_total_sin_iva_item_com; //descuento_item 84.033
            $total_iva_item_com=$precio_total_sin_iva_item_com*$iva_c0; // total iva item  159.336


            $subtotal_combo+=$precio_total_sin_iva_item_com;
            $descuento_combo+=$descuento_item_com;
            $iva_combo+=$total_iva_item_com;
            $sumador_combos=($subtotal_combo+$iva_combo)-$descuento_combo;
        }

        // $total_retencion+=($neto+$sumador_combos-$total_descuento)*($ret_porcentaje/100);
        $sumador_total=$sumador_articulos+$sumador_combos;


        $global_subtotal+=$subtotal_art+$subtotal_combo;
        $global_descuento+=$descuento+$descuento_combo;
        $global_iva+=$iva+$iva_combo;
        $gloval_total+=$sumador_articulos+$sumador_combos;

        if($sumador_total>0)
        {
            $pdf->SetFillColor(255,255,255);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(25,4,$ven_prefijo.$ven_n_venta ,1,0,'C',1);
            $pdf->Cell(105,4,$ven_nombre,1,0,'L',1);
            $pdf->Cell(20,4,number_format(($subtotal_art+$subtotal_combo)-($descuento+$descuento_combo),0),1,0,'R',1);
            $pdf->Cell(20,4,number_format($iva+$iva_combo,0),1,0,'R',1);
            $pdf->Cell(20,4,number_format($sumador_total,0),1,0,'R',1);
            $pdf->Ln();
        }
    }

    $pdf->SetFillColor(135,245,115);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(130,4,'TOTAL',1,0,'R',1);
    $pdf->Cell(20,4,number_format($global_subtotal-$global_descuento,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($global_iva,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($gloval_total,0),1,0,'R',1);
    $pdf->Ln();
}

$pdf->Output();
?>